Package org.apache.tools.ant.types.resources.selectors

# Class Majority

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.selectors.ResourceSelectorContainer
org.apache.tools.ant.types.resources.selectors.Majority

All Implemented Interfaces:
  `Cloneable`, `ResourceSelector`

public class Majority extends ResourceSelectorContainer implements ResourceSelector
Majority ResourceSelector.

Since:
  Ant 1.7

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Majority()`
  Default constructor.
  `Majority(ResourceSelector... r)`
  Convenience constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isSelected(Resource r)`
  Return true if this Resource is selected.
  `void`
  `setAllowtie(boolean b)`
  Set whether ties are allowed.

  ### Methods inherited from class org.apache.tools.ant.types.resources.selectors.ResourceSelectorContainer

  `add, dieOnCircularReference, getResourceSelectors, getSelectors, hasSelectors, selectorCount`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Majority

    public Majority()
    Default constructor.

  - ### Majority

    public Majority(ResourceSelector... r)
    Convenience constructor.
    Parameters:
      `r` - the ResourceSelector[] to add.

- ## Method Details

  - ### setAllowtie

    public void setAllowtie(boolean b)
    Set whether ties are allowed.
    Parameters:
      `b` - whether a tie is a pass.

  - ### isSelected

    public boolean isSelected(Resource r)
    Return true if this Resource is selected.
    Specified by:
      `isSelected` in interface `ResourceSelector`
    Parameters:
      `r` - the Resource to check.
    Returns:
      whether the Resource was selected.